Bug 434446 - uuid failed massrebuild attempt for GCC 4.3
uuid failed massrebuild attempt for GCC 4.3
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: uuid (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Steven Pritchard
Fedora Extras Quality Assurance
:
Depends On:
Blocks: gcc43errors
  Show dependency treegraph
 
Reported: 2008-02-22 11:25 EST by Jesse Keating
Modified: 2013-01-09 22:13 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-26 02:36:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2008-02-22 11:25:16 EST
This is an automatically filed bug for a failed rebuild attempt for GCC 4.3.

http://fedoraproject.org/wiki/JesseKeating/gcc43MassRebuildProposal

Please verify why this build failed and fix it.
http://koji.fedoraproject.org/koji/taskinfo?taskID=445826
Exit code was 1, check the build.log for the failed buildArch task.
Comment 1 Henning Norén 2008-02-22 18:04:55 EST
gcc -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector
-m32 -Wall -Wmissing-prototypes -Wpointer-arith -Winline
-Wdeclaration-after-statement -Wendif-labels -fno-strict-aliasing -fpic -I..
-I/usr/include/pgsql/server -I/usr/include/pgsql/internal -D_GNU_SOURCE
-I/usr/include/libxml2   -c -o uuid.o uuid.c
(cd .libs && rm -f libossp-uuid++.so.16 && ln -s libossp-uuid++.so.16.0.20
libossp-uuid++.so.16)
(cd .libs && rm -f libossp-uuid++.so && ln -s libossp-uuid++.so.16.0.20
libossp-uuid++.so)
gcc -o .libs/uuid uuid_cli.o  ./.libs/libossp-uuid.so -lnsl 
uuid.c: In function 'pg_uuid_send':
uuid.c:203: error: 'bytea' has no member named 'vl_len'
make[1]: *** [uuid.o] Error 1
make[1]: Leaving directory `/builddir/build/BUILD/uuid-1.6.0/pgsql'
make: *** [pgsql/libossp-uuid.so] Error 2
make: *** Waiting for unfinished jobs....
ar cru .libs/libossp-uuid++.a  uuid++.o uuid.o uuid_md5.o uuid_sha1.o
uuid_prng.o uuid_mac.o uuid_ui64.o uuid_ui128.o uuid_str.o
ranlib .libs/libossp-uuid++.a
creating uuid
creating libossp-uuid++.la
(cd .libs && rm -f libossp-uuid++.la && ln -s ../libossp-uuid++.la
libossp-uuid++.la)
error: Bad exit status from /var/tmp/rpm-tmp.47440 (%build)
Comment 2 Christopher Aillon 2008-03-26 02:36:01 EDT
subsequently rebuilt
http://koji.fedoraproject.org/koji/packageinfo?packageID=4052

Note You need to log in before you can comment on or make changes to this bug.